adv = read.table("Advertising.csv", sep = ",", header=T, row.names = 1) # reads the data from a csv file
attach(adv)
r1 = lm(sales ~ TV)
plot(TV, sales, col="red")   # figure 3.1 page 62
abline(r1, col="blue")
summary(r1)    # reproduces table 3.2 page 68 
summary(lm(sales ~ radio))    # reproduces upper panel table 3.3 page 72 
summary(lm(sales ~ newspaper))    # reproduces lower panel table 3.3 page 72 

regr = lm(sales ~ TV+radio+newspaper)   
summary(regr) # reproduces table 3.4 page 74 
cor(adv)   # reproduces table 3.5 page 75

regr = lm(sales ~ TV+radio+TV*radio)   
summary(regr) # reproduces table 3.9 page 89 